#include<bits/stdc++.h>

using namespace std;
int n,c;
long long h,l;
int main(){
  cin>>n>>l;
  c=0;
  for(int i=1; i<=n; i++){
    cin>>h;
    c++;
    if(h<=l) break;
  }
if(c==n) cout<<-1;
else cout<<c;
  cout<<endl;
  return 0;
}